org.apache.cassandra.serializers

## Class TimeSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.TimeSerializer

All Implemented Interfaces:
  TypeSerializer<java.lang.Long>

    public class TimeSerializer
    extends java.lang.Object
    implements TypeSerializer<java.lang.Long>

### Field Summary

Fields
`static TimeSerializer` `instance`
`static java.util.regex.Pattern` `timePattern`

### Constructor Summary

Constructors
Constructor and Description
`TimeSerializer()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.Long` `deserialize(java.nio.ByteBuffer bytes)`
`java.lang.Class<java.lang.Long>` `getType()`
`java.nio.ByteBuffer` `serialize(java.lang.Long value)`
`static java.lang.Long` `timeStringToLong(java.lang.String source)`
`java.lang.String` `toString(java.lang.Long value)`
`void` `validate(java.nio.ByteBuffer bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### timePattern

    public static final java.util.regex.Pattern timePattern

#### instance

    public static final TimeSerializer instance

### Constructor Detail

#### TimeSerializer

    public TimeSerializer()

### Method Detail

#### deserialize

    public java.lang.Long deserialize(java.nio.ByteBuffer bytes)

Specified by:
  `deserialize` in interface `TypeSerializer<java.lang.Long>`

#### serialize

    public java.nio.ByteBuffer serialize(java.lang.Long value)

Specified by:
  `serialize` in interface `TypeSerializer<java.lang.Long>`

#### timeStringToLong

    public static java.lang.Long timeStringToLong(java.lang.String source)
                                           throws MarshalException

Throws:
  `MarshalException`

#### validate

    public void validate(java.nio.ByteBuffer bytes)
                  throws MarshalException

Specified by:
  `validate` in interface `TypeSerializer<java.lang.Long>`
Throws:
  `MarshalException`

#### toString

    public java.lang.String toString(java.lang.Long value)

Specified by:
  `toString` in interface `TypeSerializer<java.lang.Long>`

#### getType

    public java.lang.Class<java.lang.Long> getType()

Specified by:
  `getType` in interface `TypeSerializer<java.lang.Long>`